Subject: Re: bug#45380: 28.0.50; Error in coloured output in Emacs 28.05(AUR package: emacs-git)

From: Lars Ingebrigtsen <[email-masked]>
Date: Tue, 26 Jan 2021 00:45:25 +0100

(Please keep the debbugs address in the CCs, otherwise the mail won't
reach the bug tracker.)

Utkarsh Singh <[email-masked]> writes:

> I have attached these files:
> 1. Screenshot
> 2. Complete eshell buffer after running pretty print command.
> 3. Only pretty print part of the buffer.

Thanks, with that output I could recreate the buffer...  but
unfortunately, I couldn't reproduce the error.  So perhaps my guess at
where the bug is was wrong.  There must be something more going wrong
than just `ansi-color-apply-on-region' doing stuff wrong.  Perhaps a
race condition of some kind?

Perhaps I should install an Arch Linux VM here so that I can try
reproducing this myself.  Yeah, I think I'll try that.